Bug 117069 - Crash when double-clicking in an empty chart that was saved as XLS
Summary: Crash when double-clicking in an empty chart that was saved as XLS
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.0.7 target:6.1.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2018-04-17 17:15 UTC by Aron Budea
Modified: 2018-08-15 15:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["com::sun::star::uno::BaseReference::iquery_throw(com::sun::star::uno::XInterface *,com::sun::star::uno::Type const &)"]


Attachments
sample file (6.00 KB, application/vnd.ms-excel)
2018-04-18 09:02 UTC, Xisco Faulí
Details
gdb backtrace (29.79 KB, text/plain)
2018-04-18 09:26 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-04-17 17:15:17 UTC
- Add a chart to an empty spreadsheet, don't set anything just click Finish.
- Save the file as XLS, and reload it.
- Note how there's a grey rectangle in the middle of the chart (no such thing when saved as ODS or XLSX), first double-click to get in the chart, then double-click on the rectangle.

=> Crash.

Crash report:
https://crashreport.libreoffice.org/stats/crash_details/a0608098-421f-4627-a7f4-aa7bcf9dace3

Observed using LO 6.0.3.2 & 5.2.0.4 / Windows 7.

While it's a crash, it's an extremely degenerate case, setting importance accordingly.
Comment 1 Telesto 2018-04-17 20:14:16 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: 9c4eaa7b81a40d97fe49b85272b40bfeaaf44f86
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-16_03:31:36
Locale: nl-NL (nl_NL); Calc: CL

but not with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 2 Telesto 2018-04-17 20:17:14 UTC
> While it's a crash, it's an extremely degenerate case, setting importance
> accordingly.

-> 343

https://crashreport.libreoffice.org/stats/signature/com::sun::star::uno::BaseReference::iquery_throw(com::sun::star::uno::XInterface%20*,com::sun::star::uno::Type%20const%20&)#summary
Comment 3 Xisco Faulí 2018-04-18 09:02:12 UTC
Created attachment 141449 [details]
sample file
Comment 4 Xisco Faulí 2018-04-18 09:21:08 UTC
Regression introduced by:

author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2015-10-03 15:59:06 +0200
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2015-10-03 16:00:21 +0200
commit	749a0845500d69f99bf1901bab82361f67b5e4f6 (patch)
tree	b758bc7dff18029881e1a9c8f3881ce117dadfd6
parent	c70c4d203340999fc039838cc487d3e4c28d2f79 (diff)
don't show area and line panel in pie chart Chart selection, tdf#94320

Bisected with: bibisect-macosx-64-5.1

Adding Cc: to Markus Mohrhard
Comment 5 Xisco Faulí 2018-04-18 09:26:46 UTC
Created attachment 141450 [details]
gdb backtrace
Comment 6 Commit Notification 2018-08-14 19:53:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=321248b44bb97707523be7e1b7ff360e8f9eace4

Resolves: tdf#117069 crash double clicking in certain chart

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-08-14 19:55:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d12a200e69d4bedb4228c7632ec648e4fdc21fc2&h=libreoffice-6-0

Resolves: tdf#117069 crash double clicking in certain chart

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-08-14 19:55:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=704133f7cb76b29a86d97d776b594c5ebf9a1123&h=libreoffice-6-1

Resolves: tdf#117069 crash double clicking in certain chart

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-08-15 15:21:12 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 5779b4966954d845f3c526c340bdee8c6a92ef95
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, thanks for fixing this!!